Vol 51, Parution 48 Message 9 VMWARE (sergio)

sergio maisterrenaser at free.fr
Ven 14 Nov 07:07:04 GMT 2008


Steve a écrit :
> Salut le monde!
>
> voici après plusieurs tentatives, d'installations, de configuration... plein de lectures dans les forums et sur le site de vmware... rien... toujours rien pour règler mon problème...
>
> mais bien sur je retrouve mon problème à plusieurs endroits, mais toujours pour des versions antérieures, j'ai beau essayé, mais ça n'y change rien...
>
> voici ce qui se passe lors de la compilation du module vmmon, de là vient le problème...
> donc, si d'autres personnes font l'installation de vmware server 2.0 ou vmware player 2.0, c'est le même problème...
>
> En espérant que ce dossier puisse se solutionner bientôt...
> merci de votre aide!
>
> Steve  :) 
>
> Trying to find a suitable vmmon module for your running kernel.
>
> None of the pre-built vmmon modules for VMware Player is suitable for your 
> running kernel.  Do you want this program to try to build the vmmon module for 
> your system (you need to have a C compiler installed on your system)? [yes] 
>
> Using compiler "/usr/bin/gcc". Use environment variable CC to override.
>
> What is the location of the directory of C header files that match your running
> kernel? [/lib/modules/2.6.27-8-generic/build/include] 
>
> Extracting the sources of the vmmon module.
>
> Building the vmmon module.
>
> Using 2.6.x kernel build system.
> make: entrant dans le répertoire « /tmp/vmware-config4/vmmon-only »
> make -C /lib/modules/2.6.27-8-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
> make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.27-8-generic »
>   CC [M]  /tmp/vmware-config4/vmmon-only/linux/driver.o
> In file included from /tmp/vmware-config4/vmmon-only/./include/x86.h:24,
>                  from /tmp/vmware-config4/vmmon-only/linux/driver.h:15,
>                  from /tmp/vmware-config4/vmmon-only/linux/driver.c:84:
> /tmp/vmware-config4/vmmon-only/./include/x86paging.h:61:1: warning: "PTE_PFN_MASK" redefined
> In file included from include/asm/paravirt.h:7,
>                  from include/asm/irqflags.h:55,
>                  from include/linux/irqflags.h:57,
>                  from include/asm/system.h:11,
>                  from include/asm/processor.h:17,
>                  from include/linux/prefetch.h:14,
>                  from include/linux/list.h:6,
>                  from include/linux/module.h:9,
>                  from /tmp/vmware-config4/vmmon-only/linux/driver.c:12:
> include/asm/page.h:22:1: warning: this is the location of the previous definition
> In file included from /tmp/vmware-config4/vmmon-only/linux/vmhost.h:13,
>                  from /tmp/vmware-config4/vmmon-only/linux/driver.c:115:
> /tmp/vmware-config4/vmmon-only/./include/compat_semaphore.h:5:27: error: asm/semaphore.h: Aucun fichier ou dossier de ce type
> make[2]: *** [/tmp/vmware-config4/vmmon-only/linux/driver.o] Erreur 1
> make[1]: *** [_module_/tmp/vmware-config4/vmmon-only] Erreur 2
> make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.27-8-generic »
> make: *** [vmmon.ko] Erreur 2
> make: quittant le répertoire « /tmp/vmware-config4/vmmon-only »
> Unable to build the vmmon module.
>
> For more information on how to troubleshoot module-related problems, please 
> visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
> "http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".
>
> Execution aborted.
>
>
>
>   
Bien qu'on m'ait affirmé (un certain Jacques dont je n'ai pas l'adresse 
mail) qu'il suffisait de relancer l'install, en root je pense, pour 
régler le problème et qu'en tout état de cause la solution serait donnée 
par cette nouvelle install VmWare.
Si je sais lire correctement le listing que tu as joint, au final,  te 
renvoit à son site pour essayer de résoudre ce problème. Ce que je 
suppose; tu as fais. Sans pour autant résoudre la question ...

A la vue de tous tes efforts, je vais dire quelque chose  d'un peu 
rageant mais que tu sais aucun doute : VmWare comme d'autres programmes 
de virtualisation est Non-Free. 

Si leurs developpeurs ne mettent pas à jour les drivers pour les 
derniers noyaux et que la communauté Ubuntu et ses developpeurs 
bénévoles n'y a pas encore "mis son nez" :

soit il faut attendre

soit revenir à une version antérieur d'Ubuntu avec laquelle cela 
fonctionnait ...

Désolé de cette réponse peu constructive.

Sergio




Plus d'informations sur la liste de diffusion ubuntu-fr